export interface IHttpClinetPostOptions {
    /**
     * 域名
     */
    url: string;
    /**
     * querystring
     */
    querystring?: any;
    /**
     * post的数据
     */
    post?: any;
    /**
     * 头部
     */
    headers?: {
        /**
         * 进行传递的cookies
         */
        cookies?: any;
        hosts?: string;
        userAgent?: string;
        XRequestedWith?: "XMLHttpRequest";
    };
}
export interface IHttpClientGetOptions {
    encode: "text" | "xhr" | "json";
}
