export declare class LarkLogger {
    category: string;
    requestID: any;
    constructor(category?: string);
    single(...argv: any[]): void;
    percent(title: string, index: number, total: number, message?: string): Promise<void>;
    log(...argv: any[]): Promise<void>;
    warn(...argv: any[]): Promise<void>;
    info(...argv: any[]): Promise<void>;
    error(...argv: any[]): Promise<void>;
    fatal(...argv: any[]): Promise<void>;
    trace(...argv: any[]): Promise<void>;
    infoIf(condition: boolean, ...argv: any[]): Promise<void>;
    errorIf(condition: boolean, ...argv: any[]): Promise<void>;
    warnIf(condition: boolean, ...argv: any[]): Promise<void>;
    logIf(condition: boolean, ...argv: any[]): Promise<void>;
    debugIf(condition: boolean, ...argv: any[]): Promise<void>;
    traceIf(condition: boolean, ...argv: any[]): Promise<void>;
    protected getStringify(data: any[]): {
        data: string[];
        message: string;
    };
    protected report(log: any): Promise<void>;
    private output;
}
export declare const logger: LarkLogger;
