/// <reference types="node" />
export declare const ERROR_READ_BUFFER_FAIL: {
    message: string;
    code: number;
};
export declare const ERROR_MAX_BODY_SIZE_LIMIT: {
    message: string;
    code: number;
};
export declare class LarkBuffer {
    static getBufferByStream(stream: any, maxBodySize?: number): Promise<Buffer>;
    /**
     * 通过stream获取其buffer
     * @param maxBodySize 是否控制最大大小，如果超过最大大小。触发异常中断读取
     * 是否增加超时机制
     * @deprecated use getBufferByStream
     */
    static readBufferByStream(stream: any, maxBodySize?: number): Promise<Buffer>;
    static GZIP(buffer: any): Buffer;
    static UNGZIP(buffer: Buffer): Buffer;
}
