import * as React from "react";
import { IPageProps } from './ReactControllerDto';
export declare class HTML extends React.Component<IPageProps, any> {
    /**
     *
     * 页面渲染
     * @returns
     * @memberOf Page
     */
    render(): JSX.Element;
    /**
     * 处理meta
     */
    renderMeta(): JSX.Element[];
    renderTitle(): any;
    renderHeadScript(): any[];
    /**
     * 外链样式渲染
     * @returns
     * @memberOf Page
     */
    renderLink(): any[];
    /**
     * 外链脚本渲染
     * @returns
     * @memberOf Page
     */
    renderScript(): any[];
}
